Package uk.ac.starlink.ecsv

## Class SnakeYamlParser

- java.lang.Object
- - uk.ac.starlink.ecsv.SnakeYamlParser

- All Implemented Interfaces:
    `YamlParser`

      public class SnakeYamlParser
      extends java.lang.Object
      implements YamlParser

  YamlParser implementation based on the SnakeYAML library

  The current implementation is based on SnakeYAML 1.25, which in turn claims to understand YAML 1.1.

  Since:
    28 Apr 2020
  Author:
    Mark Taylor
  See Also:
    https://bitbucket.org/asomov/snakeyaml/src/

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SnakeYamlParser()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `EcsvMeta` | `parseMeta​(java.lang.String[] lines)` | Extracts ECSV header information from lines of YAML.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SnakeYamlParser

          public SnakeYamlParser()

  - ### Method Detail

    - #### parseMeta

          public EcsvMeta parseMeta​(java.lang.String[] lines)
                             throws EcsvFormatException

      Description copied from interface: `YamlParser`
      Extracts ECSV header information from lines of YAML.
      Specified by:
        `parseMeta` in interface `YamlParser`
      Parameters:
        `lines` - lines of YAML
      Returns:
        ECSV metadata structure
      Throws:
        `EcsvFormatException`